Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001613OCamltypingpublic2003-03-26 14:552017-07-13 20:59
Reporteradministrator 
Assigned Tooctachron 
PrioritynormalSeverityfeatureReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version4.06.0+dev 
Summary0001613: printing non-generalized type variables
DescriptionFull_Name: Hugo Herbelin
Version: 3.06
OS:
Submission from: arbois.inria.fr (128.93.11.104)


  Hi,

  The user-friendly names for non-generalized variable when using the -i option

are chosen on a per-function basis while a consistent naming throughout a same
file
would help debugging. Here is an example:

> cat a.ml
let tab = ref []
let f g x = g (List.assoc x !tab)

> ocamlc -i a.ml
val tab : ('_a * '_b) list ref
val f : ('_a -> 'b) -> '_c -> 'b

where _a in tab is _c in f and _b in tab is _a in f.

  By the way, the link to node8.html on
http://caml.inria.fr/ocaml/problems.html [^]
is broken (should be a link to manual022.html).

  Thanks.

  Hugo

TagsNo tags attached.
Attached Files

- Relationships
related to 0000248resolvedoctachron Re variables de type faibles 

-  Notes
(0018076)
octachron (developer)
2017-07-13 20:59

With the integration of https://github.com/ocaml/ocaml/pull/1225, [^] this issue should be fixed in 4.06: the infered mli for the proposed example reads now as:

val tab : ('_weak1 * '_weak2) list ref
val f : ('_weak2 -> 'a) -> '_weak1 -> 'a

- Issue History
Date Modified Username Field Change
2005-11-18 10:13 administrator New Issue
2013-08-30 22:29 doligez Relationship added related to 0000248
2016-12-07 17:32 shinwell Category OCaml general => OCaml typing
2016-12-07 17:32 shinwell Description Updated View Revisions
2017-02-23 16:45 doligez Category OCaml typing => typing
2017-07-13 20:59 octachron Note Added: 0018076
2017-07-13 20:59 octachron Status acknowledged => resolved
2017-07-13 20:59 octachron Fixed in Version => 4.06.0+dev
2017-07-13 20:59 octachron Resolution open => fixed
2017-07-13 20:59 octachron Assigned To => octachron


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker